Bug 1119054 - SLAAC - IPv6 address goes away after sleep resume
Summary: SLAAC - IPv6 address goes away after sleep resume
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 16:02 UTC by Wolfgang Rupprecht
Modified: 2015-06-29 21:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:34:34 UTC


Attachments (Terms of Use)

Description Wolfgang Rupprecht 2014-07-13 16:02:04 UTC
Description of problem:

On a SLAAC network the IPv6 address goes away after sleep resume.

Version-Release number of selected component (if applicable):

NetworkManager-0.9.9.0-41.git20131003.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Close the lid of an an ethernet-connected laptop to cause to cause it 
   to sleep. 
2. Open lid to resume
3. ifconfig
4. notice that the IPv6 addresses are gone.

Actual results:
IPv6 addresses are gone for a few minutes after resume.  (They do always return after a while.)

Expected results:
IPv6 addresses still are present after a resume.

Additional info:
I only have one laptop to test against, so it might well be a timing issue with this particular ethernet chip.  (laptop: 2006 AMD athlon/64 based Compaq v5005z)

Comment 1 Bill C. Riemers 2014-07-14 12:40:55 UTC
Actually I was about to post the reverse problem.   I have dnsmasq set to a lease time of 10 minutes.

dhcp-range=tag:br0,::1,::ffff, constructor:br0,ra-stateless,64, 10m
enable-ra

I do this so if a router loses it's connection in an a multi-homed network, that the hosts all know to stop trying to route to that router after 10 minutes.

But I noticed even after my laptop has been asleep for hours, the IPv6 addresses are still there after a resume.  I know it hasn't reached out to the routers yet, because the IPv4 addresses are gone...

I don't know if the IPv6 address would disappear after a few minutes if the routers were turned off.  But it sounds like from this "bug" report, that is exactly what would happen.   Which is what I want.

In this case, I did not notice my IPv6 addresses disappearing.   But then my addresses are SLAAC addresses, and maybe those have special rules.

Comment 2 Wolfgang Rupprecht 2014-12-27 20:24:45 UTC
The bug appears to be related to the Router-Solicitation / Router-Advertisement not being acted on.    A beaglebone black running Debian plugged into the same ethernet gets an IPv6 assignment right away.   Fedora-21 running NetworkManager needs to wait till the first unsolicited Router Advertisement before it gets its IPv6 assignment.   Is NetowrkManager somehow blocking the normal in-kernel RS/RA?

Comment 3 Fedora End Of Life 2015-05-29 12:21:42 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:34:34 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.